# Module root

Compose Foundation

# Package androidx.compose.foundation.gestures

In this page, you'll find documentation for types, properties, and functions available in the
`androidx.compose.foundation.gestures` package. For example:
* Drag APIs such as [drag], [draggable], [detectDragGestures], [horizontalDrag], and
[rememberDraggableState].
* Scroll APIs such as [animateScrollBy], [scrollable], and [rememberScrollableState].
* And other gestures APIs such as [animateZoomBy], [animateRotateBy], [detectTapGestures], and
[awaitVerticalDragOrCancellation].

If you're looking for guidance instead, check out the
<a href="https://developer.android.com/jetpack/compose/gestures" class="external" target="_blank">Gestures in Compose guide</a>.

# Package androidx.compose.foundation.layout

In this page, you'll find documentation for types, properties, and functions available in the
`androidx.compose.foundation.layout` package. For example:
- Layouts such as [Box], [Column], [Row], and [BoxWithConstraints].
- Layout modifiers such as [aspectRatio], [offset], [padding], [size], and [wrapContentSize].

If you're looking for guidance instead, check out the following Compose guides:
* <a href="https://developer.android.com/jetpack/compose/layout" class="external" target="_blank">Layouts in Compose</a>.
* <a href="https://developer.android.com/jetpack/compose/lists" class="external" target="_blank">Lists in Compose</a>.

# Package androidx.compose.foundation.lazy

In this page, you'll find documentation for types, properties, and functions available in the
`androidx.compose.foundation.lazy` package such as [LazyColumn], [LazyRow],
and [rememberLazyListState].

If you're looking for guidance instead, check out the
<a href="https://developer.android.com/jetpack/compose/lists" class="external" target="_blank">Lists in Compose guide</a>.

# Package androidx.compose.foundation.text

In this page, you'll find documentation for types, properties, and functions available in the
`androidx.compose.foundation.text` package such as [BasicText], [BasicTextFiled], [KeyboardActions],
and [KeyboardOptions].

If you're looking for guidance instead, check out the
<a href="https://developer.android.com/jetpack/compose/text" class="external" target="_blank">Text in Compose guide</a>.
